Subject: Re: [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 25 May 2024 19:06:30 +0200

Hi,

> Given that #67921 has been stale since February, is there any chance
> that we could move forward with this? I would really like to use Guix
> for some Haskell projects of mine and this is a major blocker to this
> end. Did you run into any issues on the haskell-team branch?

yeah, I agree this is the way forward for now. I updated GHC to 9.2.8 on
the haskell-team branch as well to justify the world rebuild and Cuirass
is building the branch here:
https://ci.guix.gnu.org/jobset/haskell-team. I’ll open a “Request
for merge …” issue as soon as everything runs green.

Sorry for the delays :(

Lars